<%- include('../partials/header'); %>
<div class="custom-form">
    <form id="priceHistory" >
        <div class="form-group">
            <label for="startDate">Date from</label>
            <input 
            type="date" 
            name="startDate" 
            id="startDate" 
            class="form-control"
           
        >
            <p class="errorMessage"></p>
        </div>

        <div class="form-group">
            <label for="endDate">Date to</label>
            <input 
            type="date" 
            id="endDate" 
            class="form-control"
            >
            <p class="errorMessage"></p>
        </div>

        <div class="form-group">
            <label for="dateWhenAdded">Date when added</label>
            <input 
            type="date"
            id="dateWhenAdded" 
            class="form-control">
            <p class="errorMessage"></p>
        </div>

        <div class="form-group">
            <label for="pricePerDay">pricePerDay</label>
            <input 
            type="number" 
            id="pricePerDay" 
            class="form-control"
            value="5">
            <p class="errorMessage"></p>
        </div>
        <button  type="submit">Submit</button>
    </form>
  
</div>
<div class="table">
    <table 
    id="pricePeriodsData" 
    class="table" 
    >
    <caption id="tableCaption"> `List of prices</caption>
</table>
</div>

<div class="info">
    <form action="" id="getTotalForPeriods">
        <div class="form-group">
            <label for="selectedStartDate">Date from:</label>
            <input 
            type="date" 
            id="selectedStartDate"
            
            >
        </div>
        <div class="form-group">
            <label for="selectedEndDate">Date to:</label>
            <input 
            type="date"
            id="selectedEndDate"
           >
        </div>

        <button type="submit">Submit</button>
    </form>

    <div class="listInformation">
        <div class="list-info">
            <p>Date from</p>
            <b id="info-startDate"></b>
        </div>
        <div class="list-info">
            <p>Date to</p>
            <b id="info-endDate"></b>
        </div>
        <div class="list-info">
            <p>count of days between period</p>
            <b id="countDates"></b>
        </div>
        <div class="list-info">
            <p>all dates between period</p>
            
            <ul id="info-datesBetweenPeriod"></ul>
        </div>
        <div class="list-info">
            <p>overlapped dates</p>
            <b id="info-overlappedDates"></b>
        </div>
        <div class="list-info">
            <p>total price between period whit no overlapped case</p>
            <b id="info-totalPriceNoOverlap"></b>
        </div>
        <div class="list-info">
            <p>total price with overlapped case</p>
            <b id="info-totalPriceWithOverlap"></b>
        </div>
       
    </div>
</div>
<%- include('../partials/footer'); %>